package com.zfire.jiasm.syncdata.config;

import com.zfire.jiasm.syncdata.constant.Constant;
import feign.RequestInterceptor;
import feign.RequestTemplate;
import org.springframework.context.annotation.Configuration;

@Configuration
public class FeignConfigure implements RequestInterceptor {

        @Override
        public void apply(RequestTemplate template) {
            if(null != template) {
                template.header(Constant.FEIGN_HEADER, Constant.FEIGN_HEADER);
            }
        }
}

